# Generated from templater-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname templater
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

%global rubyabi 1.8

summary: Ruby framework for building code generators
Name: rubygem-%{gemname}
Version: 1.0.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/jnicklas/templater
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
Requires: ruby(abi) = %{rubyabi}
Requires: rubygem(highline)
Requires: rubygem(diff-lcs)
Requires: rubygem(extlib)
Requires: rubygem(rubigen)
BuildRequires: ruby(rubygems)
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires(check): rubygem(rspec), rubygem(hoe), rubygem(newgem)
BuildRequires(check): rubygem(rake), rubygem(highline), rubygem(diff-lcs)
BuildRequires(check): rubygem(extlib), rubygem(rubigen)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Templater is a Ruby framework for building code generators. It has the ability
to both copy files from A to B and also to render templates using ERB.

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

%build
mkdir -p .%{gemdir}
gem install -V \
  --local \
  --install-dir $(pwd)/%{gemdir} \
  --force --rdoc \
  %{SOURCE0}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

# already have this in specifications/
rm %{buildroot}%{geminstdir}/templater.gemspec

find %{buildroot}%{geminstdir}/script -type f | \
  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby"'

%clean
rm -rf %{buildroot}

%check
pushd .%{geminstdir}
rake spec

%files
%defattr(-,root,root,-)
%doc %{geminstdir}/History.txt
%doc %{geminstdir}/Manifest.txt
%doc %{geminstdir}/README.rdoc
%dir %{geminstdir}
%{geminstdir}/lib
%{geminstdir}/script
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/Rakefile
%{geminstdir}/spec
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Fri Jan 01 2010 Matthew Kent <mkent@magoazul.com> - 1.0.0-1
- Initial package
